Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2021-4048: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2021-4048: SUSE Linux Security Advisory

Severity
6
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:P)
Published
12/08/2021
Created
03/24/2022
Added
03/22/2022
Modified
03/22/2022

Description

An out-of-bounds read flaw was found in the CLARRV, DLARRV, SLARRV, and ZLARRV functions in lapack through version 3.10.0, as also used in OpenBLAS before version 0.3.18. Specially crafted inputs passed to these functions could cause an application using lapack to crash or possibly disclose portions of its memory.

Solution(s)

  • suse-upgrade-blas-devel
  • suse-upgrade-blas-devel-32bit
  • suse-upgrade-blas-devel-static
  • suse-upgrade-blas-man
  • suse-upgrade-lapack-devel
  • suse-upgrade-lapack-devel-32bit
  • suse-upgrade-lapack-devel-static
  • suse-upgrade-lapack-man
  • suse-upgrade-lapacke-devel
  • suse-upgrade-lapacke-devel-32bit
  • suse-upgrade-lapacke-devel-static
  • suse-upgrade-libblas3
  • suse-upgrade-libblas3-32bit
  • suse-upgrade-liblapack3
  • suse-upgrade-liblapack3-32bit
  • suse-upgrade-liblapacke3
  • suse-upgrade-liblapacke3-32bit

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;